> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/privacy-requests/links.md).

# Links

The Links ressource is related to the approval workflow. It allows you to create approval URLs that will help you manage the request submitted by your end-users.

By default, a confirmation email will be sent to your end-user when you create a Request with a status set to `unverified`. This email contains a Links that will update the request status to `verified` once it is clicked by the end-user. Note that a new Links will be sent if the `lifetime` has expired and a new link will be sent by email. However, you can create your own Links to perform status update behind the scene.

## Create a Link

To create a Link, you can send a POST request on `https://api.didomi.io/dsar/links`.

Currently, we only support status update and you need to set `action` to `request.update`.

The link lifetime is set to `900` seconds (15 min) by default. You can specify the property `lifetime` to change it.

You need to specify the property `redirect_url` to redirect your end-user somewhere, on a specific page of your website for instance.

The property `event` at last should include the new `status` to apply to the request and the `request_id`.

```json
POST https://api.didomi.io/dsar/links?organization_id={{organization_id}}

{
    "action": "request.update",
    "event": {
      "status": "verified",
      "request_id": "String"
    },
    "redirect_url": "String",
    "lifetime": 900
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/privacy-requests/links.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
